package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.AreaBuilding;

/**
 * 建筑基本信息Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-09
 */
public interface AreaBuildingMapper {
    /**
     * 查询建筑基本信息
     *
     * @param id 建筑基本信息主键
     * @return 建筑基本信息
     */
    AreaBuilding selectAreaBuildingById(Long id);

    /**
     * 查询建筑基本信息
     *
     * @param code 建筑基本信息主键
     * @return 建筑基本信息
     */
    AreaBuilding selectAreaBuildingByCode(String code);

    /**
     * 查询建筑基本信息列表
     *
     * @param areaBuilding 建筑基本信息
     * @return 建筑基本信息集合
     */
    List<AreaBuilding> selectAreaBuildingList(AreaBuilding areaBuilding);

    /**
     * 新增建筑基本信息
     *
     * @param areaBuilding 建筑基本信息
     * @return 结果
     */
    int insertAreaBuilding(AreaBuilding areaBuilding);

    /**
     * 修改建筑基本信息
     *
     * @param areaBuilding 建筑基本信息
     * @return 结果
     */
    int updateAreaBuilding(AreaBuilding areaBuilding);

    /**
     * 删除建筑基本信息
     *
     * @param id 建筑基本信息主键
     * @return 结果
     */
    int deleteAreaBuildingById(Long id);

    /**
     * 批量删除建筑基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAreaBuildingByIds(Long[] ids);
}
